> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cccambox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Extend Line

> Extend Line expiration date.



## OpenAPI

````yaml /openapi.json put /v1/lines/extend
openapi: 3.1.0
info:
  version: 1.0.0
  title: CCCAMBOX Reseller API
  description: >-
    CCCambox Reseller API provides programmatic access to manage IPTV
    subscriptions and line management. Use this API to automate operations like
    creating new lines, managing packages, handling credits. Includes endpoints
    for subscriber management, package configuration, and line monitoring. Built
    for resellers to efficiently scale their IPTV business operations.
servers: []
security: []
paths:
  /v1/lines/extend:
    put:
      tags:
        - Line Management
      summary: Extend Line
      description: Extend Line expiration date.
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      description: >-
                        The ID of the line. Either the ID or the username is
                        required to run this request.
                    username:
                      type: string
                      description: The username of the line.
                - type: object
                  properties:
                    duration:
                      type: number
                      example: 12
                      description: >-
                        The duration of the line in months. Valid values are 1,
                        3, 6, or 12.
                  required:
                    - duration
      responses:
        '200':
          description: 'Ok: Line extended'
          content:
            application/json:
              schema:
                type: object
                properties:
                  line:
                    type: object
                    properties:
                      id:
                        type: string
                      hostname:
                        type:
                          - string
                          - 'null'
                      username:
                        type: string
                      password:
                        type: string
                      label:
                        type: string
                      enabled:
                        type: boolean
                      connections:
                        type: number
                      is_trial:
                        type: boolean
                      exp_date:
                        type:
                          - string
                          - 'null'
                        format: date-time
                        example: '2026-05-15T15:13:02.991Z'
                        description: Date of expiration of the line.
                      start_date:
                        type:
                          - string
                          - 'null'
                        format: date-time
                        example: '2026-05-15T15:13:02.992Z'
                        description: >-
                          Starting date of the line (Creation date or Extension
                          date if the line has been extended).
                      created_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                        example: '2026-05-15T15:13:02.992Z'
                        description: Initial creation date of the line.
                      macaddress:
                        type:
                          - string
                          - 'null'
                      parental_code:
                        type:
                          - string
                          - 'null'
                    required:
                      - id
                      - hostname
                      - username
                      - password
                      - label
                      - enabled
                      - connections
                      - is_trial
                      - exp_date
                      - start_date
                      - created_at
                      - macaddress
                      - parental_code
                  deducedCredits:
                    type: number
                    example: 25
                  newBalance:
                    type: number
                    example: 4975
                required:
                  - line
                  - deducedCredits
                  - newBalance
        '400':
          description: 'Bad Request: Errors in supplied parameters.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - request_errors
                  message:
                    type: string
                    example: Request error occurred.
                  data:
                    type: object
                    properties:
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                type: string
                          required:
                            - code
                            - message
                            - path
                    required:
                      - errors
                required:
                  - code
                  - message
                  - data
        '401':
          description: 'Auth Error: Not authorized.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_authorized
                  message:
                    type: string
                    example: Not authorized to perform this action.
                required:
                  - code
                  - message
        '402':
          description: 'Balance error: Your balance is insufficient to perform this action.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - insufficient_balance
                  message:
                    type: string
                    example: Insufficient balance to perform this action.
                  balance:
                    type: number
                    example: 500
                    description: Member actual balance
                  minBalance:
                    type: number
                    example: 600
                    description: The minimum balance required to perform the action
                required:
                  - code
                  - message
                  - balance
        '404':
          description: 'Line Not Found: The line you''re looking for could not be found.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - line_not_found
                  message:
                    type: string
                    example: Line not found.
                required:
                  - code
                  - message
        '406':
          description: >-
            Duration or Action not Authorized: The duration you've selected is
            no more avaiable or the action you're trying to perform is not
            compatible with this line. 
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unavailable_duration
                      - line_not_found
                  message:
                    type: string
                    example: Selected duration is not available.
                required:
                  - code
                  - message
        '429':
          description: 'Rate limit error: too many requests.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit
                  message:
                    type: string
                    example: Rate limit exceeded.
                required:
                  - code
                  - message
        '500':
          description: 'Server Error: handler died.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - server_error
                  message:
                    type: string
                    example: Internal server error occurred.
                  requestId:
                    type: string
                required:
                  - code
                  - message
                  - requestId
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API Key
      name: x-api-key
      in: header

````